#
# spec file for package baken (Version 0.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  glib glib-devel gtk gtk-devel update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libtool perl rpm update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         baken
License:      GPL
Group:        Productivity/Hamradio/Other
URL:          http://www.qsl.net/g4klx/software.htm
#Requires:     
Autoreqprov:  on
Version:      0.5
Release:      514
Summary:      Display of VHF/UHF and microwave beacons on a map of Europe
Source:       baken-%{version}.tar.gz
Source1:      baken.desktop
Patch:        baken-%{version}.dif
Patch1:       baken-%{version}-filepermissions.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Tool to show VHF/UHF and microwave beacons on a locator grid. By moving
the mouse to a square and clicking the left mouse button, another
window opens displaying the beacons in that square in more detail, and
any cities to be found lying about. By moving the mouse near to a
beacon (within 20kms to be precise), information about the beacon is
displayed in a window below the map.



Authors:
--------
    Jonathan Naylor <g4klx@qsl.net>

%debug_package
%prep
%setup -q
%patch
%patch1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/etc,/usr/bin}
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -i baken Network HamRadio

%files
%defattr(-,root,root)
%doc  CHANGES COPYING README 
%dir /usr/share/baken
%dir /var/lib/baken
%config(noreplace) /etc/bakenrc
/usr/bin/baken
/usr/share/applications/baken.desktop
/usr/share/baken/cityfile
/usr/share/baken/mapfile
/var/lib/baken/iarufile
/var/lib/baken/noniarufile
/var/lib/baken/repeaterfile
/var/lib/baken/linearfile
/var/lib/baken/mailboxfile
/var/lib/baken/dxclusterfile
/var/lib/baken/nodefile
/var/lib/baken/miscfile
/var/lib/baken/rsfile
/var/lib/baken/tvfile

%changelog -n baken
* Tue May 04 2004 - hmacht@suse.de
- added norootforbuild in specfile
- added patch to correct filepermissions
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file
* Thu May 15 2003 - coolo@suse.de
- use BuildRoot
* Thu Feb 06 2003 - ro@suse.de
- move /var/baken to /var/lib/baken (for FHS sake)
* Tue Jan 29 2002 - jreuter@suse.de
- update to version 0.5
* Thu Jan 04 2001 - ka@suse.de
- update to version 0.4
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Wed Nov 08 2000 - sim@suse.de
- changed group to Applications/Communications
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu May 25 2000 - sim@suse.de
- specfile fix
* Thu Nov 11 1999 - ka@suse.de
- initial release 0.3
